[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

[dak/master] Get wanna-build-database in cron.weekly



Add a script to fetch the wanna-build-database from
http://buildd.debian.org/stats/, call this script from cron.weekly, and
document this change in the ChangeLog.
---
 ChangeLog                 |   10 ++++++++++
 config/debian/cron.weekly |    4 ++++
 scripts/nfu/get-w-b-db    |   20 ++++++++++++++++++++
 3 files changed, 34 insertions(+), 0 deletions(-)
 create mode 100755 scripts/nfu/get-w-b-db

diff --git a/ChangeLog b/ChangeLog
index d861934..74879a3 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,13 @@
+2008-08-05  Joachim Breitner <nomeata@debian.org>
+
+	* dak/cruft_report.py: In full mode, report out-of-date binaries on
+	architectures that have set Not-For-Us for that package.
+
+	* scripts/nfu/get-w-b-db: Script to fetch the wanna-build database
+	dump from http://buildd.debian.org/
+
+	* config/debian/cron.weekly: Run the above script
+
 2008-08-03  Mark Hymers <mhy@debian.org>
 
 	* dak/process_new.py: Apply jvw's patch so that process_new shows
diff --git a/config/debian/cron.weekly b/config/debian/cron.weekly
index 39224ce..9a4c56f 100755
--- a/config/debian/cron.weekly
+++ b/config/debian/cron.weekly
@@ -49,6 +49,10 @@ echo "Cleanup apt-ftparchive's database"
 apt-ftparchive -q clean apt.conf
 apt-ftparchive -q clean apt.conf.buildd
 
+# Update wanna-build dump
+echo "Update wanan-build database dump"
+/org/ftp.debian.org/scripts/nfu/get-w-b-db
+
 echo "Finally, all is done, compressing logfile"
 exec > /dev/null 2>&1
 
diff --git a/scripts/nfu/get-w-b-db b/scripts/nfu/get-w-b-db
new file mode 100755
index 0000000..48d2c5f
--- /dev/null
+++ b/scripts/nfu/get-w-b-db
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+# list of architectures taken from
+# http://buildd.debian.org/stats/
+
+# For debugging, you can override the path using
+# the WB_DB_DIR enviroment variable
+if [ -z "$WB_DB_DIR" ]
+then
+	WB_DB_DIR=/org/ftp.debian.org/scripts/nfu
+fi
+
+cd $WB_DB_DIR || { echo "Failed to cd to $WB_DB_DIR" ; exit 1 ;}
+
+for arch in alpha amd64 arm armel hppa i386 ia64 m68k mips mipsel powerpc s390 sparc
+do
+	rm -f $arch-all.txt
+	echo "Getting $arch-all.txt"
+	wget -q http://buildd.debian.org/stats/$arch-all.txt
+done
-- 
1.5.6


Reply to: